package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_audit_type_desc")
public class MaintAuditTypeDesc implements Serializable {
/*	Table: maint_audit_type_desc
	--------------------------------

	Column Information
	----------------------

	Field                   Type         Collation          Null    Key     Default            Extra                        Privileges                       Comment  
	----------------------  -----------  -----------------  ------  ------  -----------------  ---------------------------  -------------------------------  ---------
	legal_entity_code       int(2)       (NULL)             NO      PRI     (NULL)                                          select,insert,update,references           
	audit_type_code         varchar(20)  latin1_swedish_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	audit_type_desc         varchar(50)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	status                  varchar(20)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker                   varchar(20)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker_timestamp         timestamp    (NULL)             NO              CURRENT_TIMESTAMP  on update CURRENT_TIMESTAMP  select,insert,update,references           
	checker                 varchar(20)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	checker_timestamp       timestamp    (NULL)             YES             (NULL)                                          select,insert,update,references           
	businessdate_timestamp  timestamp    (NULL)             YES             (NULL)                                          select,insert,update,references           
	sysdate_timestamp  */
	
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	

	@Column(name="audit_type_desc")
	private String auditTypeDesc;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Column(name="sl_no")
	private String slNo;
	
	@Column(name="io_flexibility")
	private String ioFlexibility;
	
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="status")
	private String status;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	
	
	/**
	 * @return the entityStatus
	 */
	public String getEntityStatus() {
		return entityStatus;
	}

	/**
	 * @param entityStatus the entityStatus to set
	 */
	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	/**
	 * @return the auditTypeDesc
	 */
	public String getAuditTypeDesc() {
		return auditTypeDesc;
	}

	/**
	 * @param auditTypeDesc the auditTypeDesc to set
	 */
	public void setAuditTypeDesc(String auditTypeDesc) {
		this.auditTypeDesc = auditTypeDesc;
	}

	/**
	 * @return the auditTypeCode
	 */
	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	/**
	 * @param auditTypeCode the auditTypeCode to set
	 */
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	public String getSlNo() {
		return slNo;
	}

	public void setSlNo(String slNo) {
		this.slNo = slNo;
	}
	
	public String getIoFlexibility() {
		return ioFlexibility;
	}

	public void setIoFlexibility(String ioFlexibility) {
		this.ioFlexibility = ioFlexibility;
	}

	/**
	 * @return the maker
	 */
	public String getMaker() {
		return maker;
	}

	/**
	 * @param maker the maker to set
	 */
	public void setMaker(String maker) {
		this.maker = maker;
	}

	/**
	 * @return the makerTimestamp
	 */
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	/**
	 * @param makerTimestamp the makerTimestamp to set
	 */
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	/**
	 * @return the checker
	 */
	public String getChecker() {
		return checker;
	}

	/**
	 * @param checker the checker to set
	 */
	public void setChecker(String checker) {
		this.checker = checker;
	}

	/**
	 * @return the checkerTimestamp
	 */
	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	/**
	 * @param checkerTimestamp the checkerTimestamp to set
	 */
	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	/**
	 * @return the businessdateTimestamp
	 */
	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	/**
	 * @param businessdateTimestamp the businessdateTimestamp to set
	 */
	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	/**
	 * @return the sysdateTimestamp
	 */
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	/**
	 * @param sysdateTimestamp the sysdateTimestamp to set
	 */
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
	
	@Override
	public String toString() {
		return "MaintAuditTypeDesc [legalEntityCode=" + legalEntityCode + ", auditTypeDesc=" + auditTypeDesc
				+ ", auditTypeCode=" + auditTypeCode + ", entityStatus=" + entityStatus + ", status=" + status
				+ ", maker=" + maker + ", makerTimestamp=" + makerTimestamp + ", checker=" + checker
				+ ", checkerTimestamp=" + checkerTimestamp + ", businessdateTimestamp=" + businessdateTimestamp
				+ ", sysdateTimestamp=" + sysdateTimestamp + "]";
	}
	
	
	
}
